<!DOCTYPE html>
<html>
<head>
    <title>Students</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <link rel="stylesheet" type="text/css" href="style.css">
</head>
<body>
<nav class="panel-menu">
    <div class="panel-elements">
        <a id = "CMS"> CMS </a>
        <div class="panel-top-right">

            <i id ="notification" class="fa fa-bell-o"></i>

            <i id="notified" class="fa fa-circle" ></i>

            <div class="notification-content">
                <div class="notification-content-users">
                    <i class="fa fa-user-circle-o"></i>
                    <a>Admin</a>
                    <i class="fa fa-user-circle-o"></i>
                    <a>John K.</a>
                    <i class="fa fa-user-circle-o"></i>
                    <a>Ann S.</a>
                </div>

                <div class="notification-content-messages">
                    <a class="message">Hello</a>
                    <a class="message">Hi!</a>
                    <a class="message">What's up?</a>
                </div>
            </div>

            <i class="fa fa-user-circle-o"></i>
            <a class="Profile">James Bond</a>
            <div class="dropdown-content">
                <label>Profile</label>
                <label>Log Out</label>
            </div>



        </div>
    </div>

</nav>

<div class="content">

    <nav class="page-menu">
        <ul id="page-menu-list">
            <li><a id = "dashboard" href="#">Dashboard</a></li>
            <li><a id = "students" href="#">Students</a></li>
            <li><a id = "tasks" href="#">Tasks</a></li>
        </ul>
    </nav>


    <div class="students_table">
        <h1 id="table_name">Students</h1>
        <table id="the_table">
            <caption><i id = "add_student" class="fa fa-plus-square-o" style="font-size:24px"></i></caption>
            <thead>
            <tr>
                <th><input type="checkbox" id="select_all_table"></th>
                <th>Group</th>
                <th>Name</th>
                <th>Gender</th>
                <th>Birthday</th>
                <th>Status</th>
                <th>Options</th>
            </tr>
            </thead>
            <tbody id="the_table_body">
            <!--            --><?php
//                $server = "127.0.0.1";
//                $login = "root";
//                $pass = "";
//                $name_db = "students";
//                $link = mysqli_connect($server, $login, $pass, $name_db);
//                if ($link) {
//                    $result = mysqli_query($link, "SELECT * FROM `students-info`");
//                    $students = mysqli_fetch_all($result);
//                }
//                foreach ($students as $student){
//                    ?>
            <script>
                students_database = ""
                fetch('action.php',{
                    method: 'GET'
                })
                    .then(response => response.json())
                    .then(students_database => {
                        console.log(students_database); // log the text to the console
                        // for (var student in students_database){
                        //     console.log(student);
                        // }
                        let i=0;
                        let student = students_database[i];
                        while(student){
                            var new_student = new Student();
                            new_student.id = student[0];
                            new_student.group=student[1];
                            new_student.name = student[2];
                            new_student.surname = student[3];
                            new_student.gender = student[4];
                            new_student.birthday = student[5];
                            new_student.add_student();
                            Students_List.push(new_student);
                            i+=1;
                            student = students_database[i];

                        }

                    })
                    .catch(error => console.error(error));

            </script>
            <!--                        <tr>-->
            <!--                            <td><input type="checkbox" id="select_all_table"></td>-->
            <!--                            <td>--><?php //=$student[1]?><!--</td>-->
            <!--                            <td>--><?php //=$student[2]?><!--</td>-->
            <!--                            <td>--><?php //=$student[3]?><!--</td>-->
            <!--                            <td>--><?php //=$student[4]?><!--</td>-->
            <!--                            <td>Status</td>-->
            <!--                            <td>Options</td>-->
            <!--                        </tr>-->
            <!--                    --><?php
//                }
//
//            ?>
            </tbody>
            <caption style=" caption-side:bottom;">
                <div class="pagination">
                    <ul>
                        <li><a href="#"><</a></li>
                        <li><a href="#">1</a></li>
                        <li><a href="#">2</a></li>
                        <li><a href="#">3</a></li>
                        <li><a href="#">4</a></li>
                        <li><a href="#">></a></li>
                    </ul>
                </div>
            </caption>
        </table>
    </div>

    <div id="panel-add" class="dialog">

        <div class="panel-add-content">


            <h2 align="left" id="dialog-description">Add student</h2>

            <i class="fa fa-times-rectangle-o" id="close-dialog" style="font-size:24px"></i>

            <form id="student-info" action="action.php" method="post">

                <div class="panel-add-content-filling">

                    <div class="panel-add-content-text">
                        <label>Group</label>
                        <label>First name</label>
                        <label>Last name</label>
                        <label>Gender</label>
                        <label>Birthday</label>

                    </div>
                    <div class="panel-add-content-input">

                        <select id="new_group" name="group">
                            <option>PZ-11</option>
                            <option>PZ-26</option>
                        </select>

                        <input type="text" id="new_name" name="first_name" required >

                        <input type="text" id="new_surname" name="last_name" required >

                        <select id="new_gender" name="gender">
                            <option>F</option>
                            <option>M</option>
                        </select>

                        <input type="date" id="new_birthday" name="trip-start">
                        <input type="hidden" id="userId" name="user">

                    </div>

                </div>
                <input type="submit" name="id_create" id="ok-dialog" value="OK">
                <input type="submit" name="id_edit" id="edit-dialog" value="Edit">
                <button id="create-dialog">Create</button>

            </form>

        </div>

    </div>

    <div id="panel-warning" class="dialog1">

        <div class="panel-warning-content">


            <h2 align="left" id="dialog-warning-description">Warning</h2>

            <i class="fa fa-times-rectangle-o" id="close-warning-dialog" style="font-size:24px"></i>

            <div class="panel-warning-content-filling">

                <h2 id="warning-text"></h2>

            </div>

            <button id="ok-warning-dialog">Ok</button>
            <button id="cancel-warning-dialog">Cancel</button>

        </div>

    </div>

</div>
<script src="script.js"></script>
</body>
</html>
